This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444733 - Review Request: perl-HTTP-Cache-Transparent - Cache the result of http get-requests persistently
Review Request: perl-HTTP-Cache-Transparent - Cache the result of http get-re...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 08:09 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-13 21:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 21:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-04-30 08:09:39 EDT
Spec URL: 
http://kwizart.fedorapeople.org/SPECS/perl-HTTP-Cache-Transparent.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/perl-HTTP-Cache-Transparent-1.0-1.fc8.kwizart.src.rpm
Description: Cache the result of http get-requests persistently
Comment 1 Jason Tibbitts 2008-05-10 23:47:52 EDT
Why the complex License: tag?  "Same as Perl" is generally taken to mean "GPL+
or Artistic"; look for "Perl license" under
http://fedoraproject.org/wiki/Licensing or the Perl packaging guidelines at 
http://fedoraproject.org/wiki/Packaging/Perl.

Regardless of the comment you have in your %files section, this package should
own %{perl_vendorlib}/HTTP as well.  See the "File and Directory Ownership"
section of http://fedoraproject.org/wiki/Packaging/Guidelines for an
explanation.  cpanspec should have gotten this right.

* source files match upstream:
   31b6b54d9488b35eb8ca54b6f5bcefd6eb1e208ca8a4038c1cee61042747f1d9  
   HTTP-Cache-Transparent-1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(HTTP::Cache::Transparent) = 1.0
   perl-HTTP-Cache-Transparent = 1.0-1.fc9
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Cwd)
   perl(Digest::MD5)
   perl(File::Copy)
   perl(File::Path)
   perl(HTTP::Status)
   perl(IO::File)
   perl(LWP::UserAgent)
   perl(strict)

* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=3,  0 wallclock secs ( 0.17 cusr +  0.03 csys =  0.20 CPU)
X fails to own the HTTP directory.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Nicolas Chauvet (kwizart) 2008-05-11 06:19:12 EDT
Well, indeed, directories under perl can be owned by multiple packages.
I think i've made the same mistake in others perl review I've submitted recently.

So, I will fix to:
License:        GPL+ or Artistic
...
%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/*.3*

Am I good, or should I provide another src.rpm/spec ?

Comment 3 Jason Tibbitts 2008-05-11 15:33:47 EDT
Sure, that's all that needs to be changed as far as I can see.  Go ahead and
make those changes when you check in.

APPROVED

If you want to make those changes to the other Perl packages you submitted, I'll
go ahead and get them reviewed as well.
Comment 4 Nicolas Chauvet (kwizart) 2008-05-12 17:02:33 EDT
New Package CVS Request
=======================
Package Name: perl-HTTP-Cache-Transparent
Short Description: Cache the result of http get-requests persistently
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-13 13:11:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.